<app-toolbar></app-toolbar>
<form [formGroup]="formGroup" class="flex flex-col h-full overflow-y-auto">
  <div class="flex-1 p-4 space-y-6 overflow-y-auto">
    <app-input-label w="full" [labelText]="'제목'">
      <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요." />
    </app-input-label>
    <div class="space-y-2.5">
      <p class="text-sm">우선순위</p>
      <div class="flex space-x-2">
        <app-tag color="red" [active]="formGroup.value.priority == priority.HIGH"
          (click)="onChangePriority(priority.HIGH)">HIGH</app-tag>
        <app-tag color="blue" [active]="formGroup.value.priority == priority.MIDDLE"
          (click)="onChangePriority(priority.MIDDLE)">MIDDLE</app-tag>
        <app-tag color="grey" [active]="formGroup.value.priority == priority.LOW"
          (click)="onChangePriority(priority.LOW)">LOW</app-tag>
      </div>
    </div>

    <div class="flex h-8  space-x-2 [&>app-button]:text-xs [&>app-button]:font-medium">
      @for (statusOption of statusOptions; track $index) {
      <app-button class="{{this.formGroup.value.status !== statusOption.value ? '!bg-gray-300 !border-none':''}}"
        (click)="onChangeStatus(statusOption.value)">{{statusOption.label}}</app-button>
      }
    </div>
    <div>
      <app-search-avatar-select-box [name]="'작업자'" (inputEm)="searchInspectors($event)"
        (selectedEm)="onChangeInspectorSelected($event)" [labels]="inspectors"
        [selectedLabels]="kanban?.inspectors ?? []"></app-search-avatar-select-box>
    </div>
    <div>
      <app-search-avatar-select-box [name]="'검수자'" (inputEm)="searchWorkers($event)"
        (selectedEm)="onChangeWorkerSelected($event)" [labels]="workers"
        [selectedLabels]="kanban?.workers ?? []"></app-search-avatar-select-box>
    </div>
    <div>
      <app-search-select-box [name]="'태그'" (inputEm)="searchTag($event)" (selectedEm)="onChangeLabelSelected($event)"
        [labels]="labels()" [selectedLabels]="kanban?.kanbanLabels  ?? []"></app-search-select-box>
    </div>
    <div>
      <app-search-select-box [name]="'마일스톤'" (inputEm)="searchMilestone($event)"
        (selectedEm)="onChangeMilestoneSelected($event)" [labels]="milestones()"
        [selectedLabels]="kanban?.kanbanMilestones ?? []"></app-search-select-box>
    </div>
    <div>
      <app-search-select-box [name]="'이슈'" (inputEm)="searchIssue($event)" (selectedEm)="onChangeIssueSelected($event)"
        [labels]="issues()" [selectedLabels]="kanban?.kanbanIssues ?? []"></app-search-select-box>
    </div>

  </div>
</form>  
<div class="flex items-center px-4 py-3 space-x-2">
  @if(formGroup.invalid){
  <app-button class="px-4 !bg-gray-300 !border-none">{{kanbanId?'수정':'저장'}}</app-button>
  }@else {
  <app-button class="px-4" (click)="kanbanId ? updateKanban() : createKanban()">{{kanbanId?'수정':'저장'}}</app-button>
  }
  @if(kanbanId){
  <app-button class="px-4 !text-error !bg-[#FCE4E4]" (click)="deleteKanban()">삭제</app-button>
  }
</div>